SERVERDIRS = [ "%SERVERLINUXDIR%" , "%SERVERLINUXARMDIR%" ]

pipeline {

    agent none
    options {
        timeout(time: 5, unit: 'MINUTES') 
    }

    environment {
		SERVERLINUXDIR		="Linux"
		SERVERLINUXARMDIR	="Linux-ARM"
    }

    stages {
        

        stage ('Debug') {
             agent {
                docker {
                      image 'alpine:latest'
                      args '-u root'
                } 
            }
            
            steps	{
				script{
					for (int i = 0; i < SERVERDIRS.size(); i++) {
						sh "echo Test Var ${SERVERDIRS[i]}"
                        sh "apk add  git"
                        sh "ls"
                        sh "echo ${GIT_COMMIT}-${BUILD_ID} > version.txt"
                        sh "echo `date` > app/date.txt"
                        
					}
			      }
            }
        }


        stage ('get artifact') {
             agent {
                docker {
                      image 'alpine:latest'
                      args '-u root'
                } 
            }
            
            steps	{
				sh "ls"
            }

            post {
                success {
                    archiveArtifacts artifacts: '*.txt,app/*.txt', fingerprint: true
                }
            }
        }

        stage('hello'){

            when { 
                branch 'master'    
            }

            agent {
                docker {
                      image 'gotechnies/alpine-ssh:latest'
                      args '-u root'
                } 
            }

            steps {
                sshagent(credentials : ['629476ac-5086-4fd9-b793-d6296863c745']) {
                    sh 'ssh -t -t -o StrictHostKeyChecking=no root@165.22.58.224 "pwd"'
                }
            }
            post {
                success {
                    cleanWs disableDeferredWipeout: true, deleteDirs: true
                }

                failure {
                    cleanWs disableDeferredWipeout: true, deleteDirs: true 
                }
             }


        }

    }

      

}